Upload Placement Documents
curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/placements/{placement_id}/upload_documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form files=@example-fileimport requests
url = "https://api.lendflow.com/api/applications/{application_id}/placements/{placement_id}/upload_documents"
files = { "files": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('files', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.lendflow.com/api/applications/{application_id}/placements/{placement_id}/upload_documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"submitted": true
}
}Placements
Upload Placement Documents
Uploads new files to an application and submits them to the funder for the given placement. Delivery happens in the background after the upload is accepted.
POST
/
api
/
applications
/
{application_id}
/
placements
/
{placement_id}
/
upload_documents
Upload Placement Documents
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
The ID of the placement.
Body
multipart/form-data
Must be a file. Must not be greater than 102400 kilobytes.
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?